## bigexec

#### OS/161 Reference Manual

### Name

bigexec - test exec with large argv blocks

### Synopsis

`/testbin/bigexec`

### Description

`bigexec` tests a number of different possible ways to call execv with large or largish argv blocks.

Note that `bigexec` works by execing itself with various arguments. To start the test, run it without arguments. Passing it other arguments will likely confuse it.

### Requirements

`bigexec` uses the following system calls:

- write
- execv
- _exit

`bigexec` should work once you have implemented the basic system calls, including of course execv. (But it depends on little other than execv, making it useful in the early stages.)